Bug 429878 - xserver build failures on ia64/fedora
Summary: xserver build failures on ia64/fedora
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server   
(Show other bugs)
Version: rawhide
Hardware: ia64
OS: Linux
high
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks: fedora-ia64
TreeView+ depends on / blocked
 
Reported: 2008-01-23 16:15 UTC by Doug Chapman
Modified: 2009-10-22 12:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 23:08:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build log from rpmbuild (1.23 MB, text/plain)
2008-02-11 20:43 UTC, Doug Chapman
no flags Details
patch to remove ia64 specific PCI code (3.56 KB, patch)
2008-03-05 05:24 UTC, Doug Chapman
no flags Details | Diff

Description Doug Chapman 2008-01-23 16:15:25 UTC
Description of problem:
Since this does not appear to be just fedora specific I have already filed a BZ
at freedesktop for this issue:
http://bugs.freedesktop.org/show_bug.cgi?id=14091

I am filing this BZ to be able to track the status of Fedora-ia64 and also to
hopefully get a little more attention for the bug.  It appears that ia64 linux
has been overlooked in the recent PCI rework going on in the main branch.  Some
ia64 code was actually _removed_ during this work it appears.  The 1.4.0
branches still build cleanly for ia64.

I will attach the log showing the build failures.

Have we made a firm decision to jump to the latest top of tree for Fedora 9? 
Would it be possible to ship Fedora 9 with the 1.4.0.90 bits?


Version-Release number of selected component (if applicable):
xorg-x11-server-1.4.99.1-0.18.20080107.fc9

How reproducible:
100%

Steps to Reproduce:
1. build on ia64
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Adam Jackson 2008-02-11 20:06:03 UTC
Build logs?

Comment 2 Doug Chapman 2008-02-11 20:43:13 UTC
Created attachment 294594 [details]
build log from rpmbuild

Oops, sorry, meant to upload the logs long ago.

This log is from rpmbuild on a rawhide box.  I get the same errors when I build
under mock but the system I run mock on is down at the moment.

Comment 3 Adam Jackson 2008-02-12 16:22:44 UTC
This looks tractable.  There used to be lots of per-platform PCI stuff that
should all be moot with the new PCI layer, so I suspect we can just stop
building the 460GX and altix and etc crap and win.

Comment 5 Doug Chapman 2008-02-20 18:33:49 UTC
(In reply to comment #3)
> This looks tractable.  There used to be lots of per-platform PCI stuff that
> should all be moot with the new PCI layer, so I suspect we can just stop
> building the 460GX and altix and etc crap and win.

ajax,

I am looking into doing this now.  It is more than just the 460GX and altix but
all the ia64 platform specific PCI stuff.  I have it stripped out so that it
builds now (but not tested yet).  I will post a patch when done.

Just so this is not on your to-do list (which I imagine is long) I will take
ownership of this BZ until I have a patch ready.


Comment 6 Doug Chapman 2008-03-05 05:24:49 UTC
Created attachment 296846 [details]
patch to remove ia64 specific PCI code

The fix was to remove the ia64 specific PCI code so that we rely on
libpciaccess.  I have submitted this patch upstream via:

https://bugs.freedesktop.org/show_bug.cgi?id=14091

however it would be very nice to get this into fedora without waiting for it
upstream.

Comment 7 Doug Chapman 2008-03-05 05:25:43 UTC
Ajax,

Reassigning this to you so we can hopefully get this patch into Fedora CVS.

thanks,

- Doug


Comment 8 Adam Jackson 2008-03-12 23:08:54 UTC
Fixed in 1.4.99.901-5.


Note You need to log in before you can comment on or make changes to this bug.